Get File
curl --request GET \
--url https://api-prod.extend.app/files/:id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.extend.app/files/:id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.extend.app/files/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.extend.app/files/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.extend.app/files/:id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-prod.extend.app/files/:id")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.extend.app/files/:id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "file",
"id": "file_1234",
"name": "example_file",
"type": "PDF",
"presignedUrl": "https://s3.example.com/file_1234.pdf",
"parentFileId": "file_5678", // Optional, only set if this file is a derivative of another file
"contents": {
"rawText": "This is the raw text content of the file...",
"pages": [
{
"pageNumber": 1,
"markdown": "This is the markdown content of the page...",
}
]
},
"metadata": {
"parentSplit": { // Optional, only set if this file is a derivative of another file
"id": "324kjlfsd",
"type": "addendum",
"identifier": "addendum_1",
"startPage": 7,
"endPage": 9
}
}
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
File Endpoints
Get File
Fetch a file by its ID to obtain additional details and the raw file content.
Get File
curl --request GET \
--url https://api-prod.extend.app/files/:id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.extend.app/files/:id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.extend.app/files/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.extend.app/files/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.extend.app/files/:id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-prod.extend.app/files/:id")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.extend.app/files/:id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "file",
"id": "file_1234",
"name": "example_file",
"type": "PDF",
"presignedUrl": "https://s3.example.com/file_1234.pdf",
"parentFileId": "file_5678", // Optional, only set if this file is a derivative of another file
"contents": {
"rawText": "This is the raw text content of the file...",
"pages": [
{
"pageNumber": 1,
"markdown": "This is the markdown content of the page...",
}
]
},
"metadata": {
"parentSplit": { // Optional, only set if this file is a derivative of another file
"id": "324kjlfsd",
"type": "addendum",
"identifier": "addendum_1",
"startPage": 7,
"endPage": 9
}
}
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
Path
string
The ID of the File to fetch. This is the ID returned when creating a new File or the value on
fileId of a WorkflowRun object.Query Parameters
You can add additional parameters to the request to modify the file contents returned. Currently only rawText is supported.boolean
default:"false"
If set to true, the markdown content of the file will be included in the response. This is useful for indexing very clean content into RAG pipelines for files like PDFs, Word Documents, etc.*Only available for files with a type of PDF, IMG.*or .doc/.docx files that were auto-converted to PDFs.
boolean
default:"false"
If set to true, the raw text content of the file will be included in the response. This is useful for indexing text-based files like PDFs, Word Documents, etc.
boolean
default:"false"
If set to true, the html content of the file will be included in the response. This is useful for indexing html content into RAG pipelines for files like PDFs, Word Documents, etc.*Only available for files with a type of DOCX.
Response
boolean
A true or false value for whether the file was fetched successfully or not.
File
A File object representing the fetched file. See the File object for more details.
{
"object": "file",
"id": "file_1234",
"name": "example_file",
"type": "PDF",
"presignedUrl": "https://s3.example.com/file_1234.pdf",
"parentFileId": "file_5678", // Optional, only set if this file is a derivative of another file
"contents": {
"rawText": "This is the raw text content of the file...",
"pages": [
{
"pageNumber": 1,
"markdown": "This is the markdown content of the page...",
}
]
},
"metadata": {
"parentSplit": { // Optional, only set if this file is a derivative of another file
"id": "324kjlfsd",
"type": "addendum",
"identifier": "addendum_1",
"startPage": 7,
"endPage": 9
}
}
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}

